# norootforbuild

%define addprov libtheora
%define name    libtheora0
%define addprovdec libtheoradec
%define namedec libtheoradec1
%define addprovenc libtheoraenc
%define nameenc libtheoraenc1

Name:           %{name}
Summary:        Ogg/theora video codec library
Summary(de):    Ogg/theora Videocodec-Bibliothek
Version:        1.1.0
Release:        2.4
License:        BSD 3-Clause
Group:          Productivity/Multimedia/Other
Url:            http://www.xiph.org/
Source0:        libtheora-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc
BuildRequires:  xorg-x11-libs
BuildRequires:  xorg-x11-devel
BuildRequires:  libogg >= 1.1
BuildRequires:  libogg-devel >= 1.1
BuildRequires:  libvorbis >= 1.0.1
BuildRequires:  libvorbis-devel >= 1.0.1
BuildRequires:  SDL
BuildRequires:  SDL-devel
Obsoletes:      %{addprov} < %{version}
Provides:       %{addprov} = %{version}-%{release}

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec.

%description -l de
Theora ist Xiph.Orgs erster frei veröffentlichter Vidoeocodec, dafür
geeignet um im Ogg-Projekt "Ogg Multimedia Streaming System" eingesetzt
zu werden. Theora wurde direkt von On2s VP3 Codec abgeleitet.


%package -n %{namedec}
Group:          System/Libraries
Summary:        Theora %{namedec}
Provides:       %{addprovdec} = %{version}-%{release}

%description -n %{namedec}
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec.
libtheora %{namedec} shared library

%description -n %{namedec} -l de
Theora ist Xiph.Orgs erster frei veröffentlichter Vidoeocodec, dafür
geeignet um im Ogg-Projekt "Ogg Multimedia Streaming System" eingesetzt
zu werden. Theora wurde direkt von On2s VP3 Codec abgeleitet.
libtheora %{namedec} Bibliothek


%package -n %{nameenc}
Group:          System/Libraries
Summary:        Theora %{nameenc}
Provides:       %{addprovenc} = %{version}-%{release}

%description -n %{nameenc}
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec.
libtheora %{nameenc} shared library

%description -n %{nameenc} -l de
Theora ist Xiph.Orgs erster frei veröffentlichter Vidoeocodec, dafür
geeignet um im Ogg-Projekt "Ogg Multimedia Streaming System" eingesetzt
zu werden. Theora wurde direkt von On2s VP3 Codec abgeleitet.
libtheora %{nameenc} Bibliothek


%package -n theora-utils
Summary:        Ogg/theora utilities
Summary(de):    Ogg/theora Programme
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{namedec} = %{version}-%{release}
Requires:       %{nameenc} = %{version}-%{release}

%description -n theora-utils
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec.
Ogg/theora utilities

%description -n theora-utils -l de
Theora ist Xiph.Orgs erster frei veröffentlichter Vidoeocodec, dafür
geeignet um im Ogg-Projekt "Ogg Multimedia Streaming System" eingesetzt
zu werden. Theora wurde direkt von On2s VP3 Codec a
ff8
bgeleitet.
Ogg/theora Programme


%package -n libtheora-devel
Summary:        Ogg/theora development package
Summary(de):    Ogg/theora Entwicklerpaket
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       %{namedec} = %{version}-%{release}
Requires:       %{nameenc} = %{version}-%{release}
Requires:       libogg-devel >= 1.1
Requires:       libvorbis-devel >= 1.0.1
Requires:       SDL-devel

%description -n libtheora-devel
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec.
Ogg/theora development package

%description -n libtheora-devel -l de
Theora ist Xiph.Orgs erster frei veröffentlichter Vidoeocodec, dafür
geeignet um im Ogg-Projekt "Ogg Multimedia Streaming System" eingesetzt
zu werden. Theora wurde direkt von On2s VP3 Codec abgeleitet.
Ogg/theora Entwicklerpaket

%debug_package

%prep
%setup -q -n libtheora-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi
ACLOCAL="aclocal -I m4" autoreconf -f -i
%{configure} --enable-shared \
    --enable-static \
    --with-pic
%{__make} %{?jobs:-j%{jobs}} docdir=%{_docdir}/%{name}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%{makeinstall} docdir=%{_docdir}/%{name}
%{__install} -d ${RPM_BUILD_ROOT}%{_bindir}
# Use non-generic name here to prevent vague meaning:
%{__install} examples/.libs/dump_video ${RPM_BUILD_ROOT}%{_bindir}/dump_video_theora
%{__install} examples/.libs/encoder_example ${RPM_BUILD_ROOT}%{_bindir}/encoder_example_theora
%{__install} examples/.libs/player_example ${RPM_BUILD_ROOT}%{_bindir}/player_example_theora
# Install remaining parts of documentation.
%{__cp} -a AUTHORS CHANGES COPYING LICENSE README ${RPM_BUILD_ROOT}%{_docdir}/%{name}
cd examples
%{__make} clean
%{__cp} -a . ${RPM_BUILD_ROOT}%{_docdir}/%{name}/examples
cd ${RPM_BUILD_ROOT}%{_docdir}/%{name}/examples
%{__rm} -rf .deps Makefile*
%{__rm} -f %{buildroot}/%{_libdir}/*.a
%{__rm} -f %{buildroot}/%{_docdir}/%{name}/doxygen-build.stamp

%check
%{__make} check

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n %{namedec} -p /sbin/ldconfig
%postun -n %{namedec} -p /sbin/ldconfig
%post -n %{nameenc} -p /sbin/ldconfig
%postun -n %{nameenc} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtheora.so.0*

%files -n %{namedec}
%defattr(-,root,root)
%{_libdir}/libtheoradec.so.1*

%files -n %{nameenc}
%defattr(-,root,root)
%{_libdir}/libtheoraenc.so.1*

%files -n theora-utils
%defattr(-, root, root)
%{_bindir}/*

%files -n libtheora-devel
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_includedir}/theora
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/theora*.pc

%changelog
* Fri Sep 25 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 1.1.0-0.pm.1
- update to 1.1.0 (final)
* Fri Aug 21 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 1.1.beta2-0.pm.1
- update to 1.1beta2
* Wed Nov 05 2008 - Manfred.Tremmel@iiv.de
- update to 1.0 (final)
* Wed Dec 26 2007 - Manfred.Tremmel@iiv.de
- included static libraries, seems to be missing by some
  other packages
* Wed Dec 19 2007 - Manfred.Tremmel@iiv.de
- update to 1.0beta2
- taken over some little changes from factory
* Thu Sep 27 2007 - Manfred.Tremmel@iiv.de
- update to 1.0beta1
* Thu Jun 22 2006 - Manfred.Tremmel@iiv.de
- update to 1.0alpha7
* Thu Jun 01 2006 - Manfred.Tremmel@iiv.de
- update to 1.0alpha6
* Sun Aug 21 2005 - Manfred.Tremmel@iiv.de
- update to 1.0alpha5
* Tue Dec 21 2004 - Manfred.Tremmel@iiv.de
- update to 1.0alpha4
- some cleanups
* Sun Mar 21 2004 - Manfred.Tremmel@iiv.de
- update to 1.0alpha3
* Sat Nov 22 2003 - Manfred.Tremmel@iiv.de
- update for new libogg
* Sat May 18 2003 - Manfred.Tremmel@iiv.de
- first spec file

